Retrieves a user week approval with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_week_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| approved_date_start |
Starting date of the approved range |
date |
Required |
| approved_date_end |
Ending date of the approved range |
date |
Required |
| date_approval |
Date+Time when the approval occured |
date |
Required |
| is_approved |
Indicate if the selection (range) is approved |
boolean |
Required |
| approved_by_user_id |
Foreign key of user,who did the approval |
globally unique identifier |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "421d0f61-a2b1-49d2-b0f5-5cd0fd4d4a40",
"user_id": "7ad9bcec-cc7a-417c-aa16-6316a6e94bed",
"approved_date_start": "2026-09-09T11:46:34.9333714+00:00",
"approved_date_end": "2026-09-09T11:46:34.9333714+00:00",
"date_approval": "2026-09-09T11:46:34.9333714+00:00",
"is_approved": true,
"approved_by_user_id": "51094452-c632-4211-a4b1-7704a9cde154",
"modified_dateutc": "2026-09-09T11:46:34.9525346+00:00"
}